Subject: Re: [HumanistRoots] Re: Have Faith in Humanity

From: Ray Schuster <[email-masked]>
Date: Thu, 26 Oct 2006 12:19:08 -0700 (PDT)

This is inspiring.   Humanism, atheism, etc., are
aggressively out of the closet.  All of the three
preceding emails start with a secular premise,
acknowledging that in one way or another, in one form
or another, god is dead.  Whatever one thinks of 
Richard Dawkins’s possible excesses, he has put the
subject on the global stage.  His “”The God Delusion”
book is reviewed on the front page of Sunday’s New
York Times Book Review”” section.  Talk about
mainstream

Now the issue has turned to tolerance.  Not toward us
humanists, but outward from us to believers.  What a
wonderful switch.  If nothing else, this is a display
of confidence in our (non) belief.

Dick Duda’s suggestion for a topic along these lines
at the next Humanist Roots meeting is a good one.  We
would probably hear a wide range of opinions on the
tolerance topic, from “why should I be tolerant of
theists when they’ve never been tolerant of me?” to
“values matter more than beliefs, wherever the values
come from.”  And many shades in between.

I plan to take Dick’s suggestion and get a copy of
“Letter to a Christian Nation” before the next
meeting.

Ray

--- "Richard O. Duda" <[email-masked]> wrote:

> 
> Dear Humanist Roots Group Members,
> 
> The recent posts by Thomas Loeber and Monica (I'm
> sorry I don't know her 
> last name) are relevant to the topic that I proposed
> for our December 
> meeting, namely, the role of tolerance in humanism.
> 
> I was originally motivated by a coincidence of
> publications:
> 
> Four books that build a fairly compelling case that
> religious faith has 
> caused more harm than good, and does not deserve the
> respect that it is 
> customarily granted:
> 
>    1.  Richard Dawkins, "The God Delusion" 
> (Houghton Mifflin, 2005)
> 
>    2.  Sam Harris, "The End of Faith"  (W. W.
> Norton, 2005)
> 
>    3.  Sam Harris, "Letter to a Christian Nation"
> (A. A. Knopf, 2006)
> 
>    4.  Daniel Dennett, "Breaking the Spell" (Viking,
> 2005)
> 
> 
> Three magazine articles that responded to these
> books from a liberal 
> religious viewpoint:
> 
>    1.  Jerry Adler, "The New Naysayers", Newsweek
> (see 
>
http://www.samharris.org/site/full_text/the-new-naysayers-newsweek-magazine-september-11-2006/)
> 
>    2.  Doug Murder, "Secularism and Tolerance after
> 9/11", UU World
> (see 
>
http://www.uuworld.org/ideas/articles/secularismtoleranceafter9-115716.shtml)
> 
>    3.  Warren Ross, "Does Tolerance Disarm Religious
> Liberals", UU World
> (see 
>
http://www.uuworld.org/ideas/articles/samharrischallengesliberalreligioustolerance5817.shtml)
> 
> 
> At our last meeting, Hershey Julien discussed the
> difference between 
> religion and theism.  He distributed copies of his
> letter to Daniel 
> Dennett, wherein Hershey focused on what he viewed
> as Dennett's inaccurate 
> definition of religion, and urged "mend it, don't
> end it" as the proper 
> response.
> 
> In my opinion, the question of how tolerant
> humanists should be to 
> organized religion is an important question, and is
> worthy of serious 
> discussion.  I hope that we can engage that
> discussion in a friendly 
> fashion in our December meeting.
> 
> In the mean time, I particularly recommend that you
> check out "Letter to a 
> Christian Nation" from your library (or purchase a
> copy at a local book 
> store), and then read Warren Ross's article.
> 
> Best regards,
> Dick Duda
> 
>   
> 
> _______________________________________________
> HumanistRoots mailing list
> [email-masked]
> http://uucpa.org/mailman/listinfo/humanistroots
> 

_______________________________________________
HumanistRoots mailing list
[email-masked]
http://uucpa.org/mailman/listinfo/humanistroots